#include <bits/stdc++.h>
using namespace std;

vector <int> solve(vector <int> z)
{
    int n = z.size();
    vector <int> ans;
    if(n % 2 == 0)
    {
        for(int i = 0;i < n / 2;i++)
        {
            ans.push_back(n - i);
            ans.push_back(i + 1);
        }
    }
    else
    {
        for(int i = 0;i < n / 2;i++)
        {
            ans.push_back(n - i);
            ans.push_back(i + 1);
        }
        ans.push_back(n / 2 + 1);
    }
    return ans;
}

/*
9
5 6 6 3 1 1 4 4 3
*/
